aboutsummaryrefslogtreecommitdiffhomepage
path: root/projects/ots
diff options
context:
space:
mode:
authorGravatar Khaled Hosny <khaledhosny@eglug.org>2019-07-26 16:23:59 +0200
committerGravatar Abhishek Arya <inferno@chromium.org>2019-07-26 07:23:59 -0700
commit07feba29c6a74dd4e2175f73e0b516ae9ed830c4 (patch)
treed965312046872891535339817c27bac610b257e4 /projects/ots
parent2c15ae053f0f42a123d06d0072ad058acad2ded6 (diff)
[ots] Show meson log on setup failure (#2630)
Helps quickly debugging build failures.
Diffstat (limited to 'projects/ots')
-rwxr-xr-xprojects/ots/build.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/projects/ots/build.sh b/projects/ots/build.sh
index fe2a50e3..ad8aca12 100755
--- a/projects/ots/build.sh
+++ b/projects/ots/build.sh
@@ -18,7 +18,7 @@
# Configure the project.
export CXXFLAGS="$CXXFLAGS -DOTS_FUZZER_NO_MAIN"
export LDFLAGS="$LIB_FUZZING_ENGINE"
-meson build
+meson build || (cat build/meson-logs/meson-log.txt && false)
# Build the fuzzer.
ninja -v -j$(nproc) -C build ots-fuzzer